void GraySwitchDisplayMode
(short int mode, unsigned char **displayaddr);
// This performs all the register accesses to switch
// between grayscale and black and white modes.
// The displayaddr variable is used in the following way:
// on calling this procedure, load displayaddr with a
// pointer to the address of the new display starting
// address. The function will return a pointer to the
// old address in the same way. The calling procedure is
// responsible for saving and then giving back the old
// black and white display starting address.
// (mode=1 is switch to grayscale, mode=0 is switch to
// black and white)


void GraySetPalette
(short int gray0, short int gray1, short int gray2,
short int gray3);
// This sets the palette of the 4 active shades of gray
// out of a selection of 7. The four parameters represent
// the shades of the 00, 01, 10, and 11 bit patterns,
// respectively. The palette of 7 is as follows, in
// terms of darkness density:
// 0=0/16, 1=4/16, 2=5/16, 3=8/16, 4=11/16, 5=12/16,
// 6=16/16, and 7=16/16. There are two active bit values
// for solid black; either will work.

