VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.1#0"; "comdlg32.ocx"
Begin VB.Form Form1 
   AutoRedraw      =   -1  'True
   Caption         =   "Sweetheart Image Converter"
   ClientHeight    =   3105
   ClientLeft      =   60
   ClientTop       =   300
   ClientWidth     =   4545
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   207
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   303
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton bAutoInstall 
      Caption         =   "Auto Install"
      Enabled         =   0   'False
      Height          =   495
      Left            =   2880
      TabIndex        =   6
      ToolTipText     =   "Create Pilot database"
      Top             =   1320
      Width           =   1575
   End
   Begin VB.CommandButton bSavePDB 
      Caption         =   "Save PDB"
      Enabled         =   0   'False
      Height          =   495
      Left            =   2880
      TabIndex        =   2
      ToolTipText     =   "Create Pilot database"
      Top             =   720
      Width           =   1575
   End
   Begin VB.CommandButton bAbout 
      Caption         =   "About"
      Height          =   495
      Left            =   2880
      TabIndex        =   3
      ToolTipText     =   "About this program"
      Top             =   1920
      Width           =   1575
   End
   Begin VB.CommandButton bQuit 
      Caption         =   "Quit"
      Height          =   495
      Left            =   2880
      TabIndex        =   4
      ToolTipText     =   "Exit application"
      Top             =   2520
      Width           =   1575
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   600
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   327681
   End
   Begin VB.CommandButton bLoad 
      Caption         =   "Load Picture"
      Default         =   -1  'True
      Height          =   495
      Left            =   2880
      TabIndex        =   1
      ToolTipText     =   "Load a bitmap file"
      Top             =   120
      Width           =   1575
   End
   Begin VB.PictureBox Picture1 
      AutoRedraw      =   -1  'True
      Height          =   2460
      Left            =   120
      ScaleHeight     =   160
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   160
      TabIndex        =   0
      ToolTipText     =   "Picture of your sweetheart"
      Top             =   240
      Width           =   2460
   End
   Begin VB.Frame Frame1 
      Height          =   2895
      Left            =   0
      TabIndex        =   5
      Top             =   0
      Width           =   2775
      Begin MSComDlg.CommonDialog CommonDialog3 
         Left            =   1440
         Top             =   0
         _ExtentX        =   847
         _ExtentY        =   847
         _Version        =   327681
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Const VERSION = "Version 1.1"
' pilot info
Dim dirname As String, regvalue As String, fullusername As String

Private Sub bAbout_Click()
MsgBox "Create PalmPilot database for use with the Sweetheart application." & vbCrLf & _
"The picture must be a monochrome (black/white) or 2 bit grayscale 160x160 Pixel bitmap." & vbCrLf & vbCrLf & vbCrLf & _
 VERSION & " Andreas Linke 1997", , "About"
End Sub

Private Sub bAutoInstall_Click()
' temporary file
Dim strpath As String * 1000

convert Picture1, dirname & "\sweetheartdb.pdb"
pilotmarkinstall regvalue, fullusername
End Sub

Private Sub bLoad_Click()
CommonDialog1.CancelError = True
On Error GoTo errhandler
' Set filters
CommonDialog1.Filter = "Bitmap Files|*.*"
' Display the Open dialog box
CommonDialog1.ShowOpen
' Display name of selected file
Picture1.Picture = LoadPicture(CommonDialog1.filename)
Picture1.ScaleMode = vbPixels
Dim sx As Integer, sy As Integer
sx = ScaleX(Picture1.Image.Width, vbHimetric, vbPixels)
sy = ScaleY(Picture1.Image.Height, vbHimetric, vbPixels)
' MsgBox "Size " & sx & "x" & sy

If sx <> 160 Or sy <> 160 Then
    MsgBox "The picture should be 160x160 pixels black&white or grayscale.", , "Warning"
End If
bSavePDB.Enabled = True
If pilotinfo(dirname, regvalue, fullusername) Then
    bAutoInstall.Enabled = True
    bAutoInstall.ToolTipText = "Auto install for user " & fullusername
End If

errhandler:
End Sub

Private Sub bQuit_Click()
Unload Form1
End Sub

Private Sub bSavePDB_Click()
CommonDialog1.CancelError = True
On Error GoTo errhandler
CommonDialog3.Flags = cdlOFNHideReadOnly
' Set filters
CommonDialog3.Filter = "Pilot Database (*.pdb)|*.pdb"
' Display the Open dialog box
CommonDialog3.ShowSave
If Trim(CommonDialog3.filename) = "" Then Exit Sub
MousePointer = vbHourglass
convert Picture1, CommonDialog3.filename
errhandler:
MousePointer = vbDefault
End Sub

