Attribute VB_Name = "Module2"
Option Explicit
Function StrZToStr(s As String) As String
    Dim i As Integer
    i = InStr(s, sNullChr)
    If i Then
        StrZToStr = Left$(s, InStr(s, sNullChr) - 1)
    Else
        StrZToStr = s
    End If
End Function
Public Function pilotinfo(dirname As String, regvalue As String, fullusername As String) As Boolean
' find out installation directory -> dirname
' registry value -> regvalue
' first, find path name to pilot directory
On Error GoTo err
Dim str As String * 255
Dim strlen As Long
strlen = 255
Dim res As Long
Dim hkey As Long
res = Registry.RegOpenKey(HKEY_CURRENT_USER, "Software\U.S. Robotics\Pilot Desktop\Core", hkey)
If res <> 0 Then GoTo err
res = Registry.RegQueryValueExStr(hkey, "Path", 0, REG_SZ, str, strlen)
If res <> 0 Then GoTo err
' now open users.dat
dirname = StrZToStr(str)
Dim s As String
s = dirname & "\users.dat"
Open s For Binary Access Read As #1
Dim i As Integer
Dim b As Byte
For i = 1 To 13 ' overread header
   Get #1, , b
Next i
Dim userid As Long
Get #1, , userid
regvalue = "install" & userid
Get #1, , b ' length of username str
Dim fullname As String
fullusername = Input(b, #1)

Get #1, , b ' length of dirname
dirname = dirname & "\" & Input(b, #1) & "\install"
Close #1
pilotinfo = True
Exit Function
err:
pilotinfo = False
End Function

Public Function pilotmarkinstall(regvalue As String, username As String) As Boolean
Dim hkey As Long
Dim res As Long
Dim one As Long
one = 1
Dim lsize As Long
lsize = 4
res = Registry.RegOpenKey(HKEY_CURRENT_USER, "Software\U.S. Robotics\Pilot Desktop\HotSync Manager", hkey)
If res <> 0 Then GoTo err
res = Registry.RegSetValueExInt(hkey, regvalue, 0, REG_DWORD, one, lsize)
If res <> 0 Then GoTo err
pilotmarkinstall = True
MsgBox "Sweetheart picture will be installed at next HotSync " & vbCrLf & _
"for user " & username & ".", , "Information"
Exit Function
err:
MsgBox "Error making registry entry", , "Error"
pilotmarkinstall = False
End Function
